import java.util.Scanner;

public class Ldw4 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        while (true) {
            int k = scanner.nextInt();
            if (k == 0) {
                break;
            }
            int n = 2 * k;
            int m = n;
            while (true) {
                if (isAllBadBeforeFirstGood(n, m, k)) {
                    System.out.println(m);
                    break;
                }
                m--;
            }
        }
        scanner.close();
    }

    private static boolean isAllBadBeforeFirstGood(int n, int m, int k) {
        int[] order = new int[n];
        for (int i = 0; i < n; i++) {
            order[i] = i + 1;
        }
        int index = 0;
        while (index < n - 1) {
            int killIndex = (index + m - 1) % n;
            order[killIndex] = 0;
            index = (killIndex + 1) % n;
        }
        int firstGood = -1, firstBad = -1;
        for (int i = 0; i < n; i++) {
            if (order[i] != 0) {
                if (firstGood == -1) {
                    firstGood = order[i];
                } else {
                    firstBad = order[i];
                    break;
                }
            }
        }
        return firstBad < firstGood;
    }
}